# ``twisted`.`internet`.`address`.`UNIXAddress``

class documentation

`class UNIXAddress: (source)`

Implements interfaces: `twisted.internet.interfaces.IAddress`

View In Hierarchy

Object representing a UNIX socket endpoint.

Method | `__eq__` | Undocumented
Method | `__hash__` | Undocumented
Method | `__repr__` | Undocumented
Instance Variable | `name` | The filename associated with this socket.

def __eq__(self, other): (source)

Undocumented

Parameters
other:`object` | Undocumented
Returns
`bool` | Undocumented

def __hash__(self): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

name: `bytes` = (source)
The filename associated with this socket.